
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lanhai
 */
public class ShopCustomerVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺客户id")
    private Long shopCustomerId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "会员名称")
    private String memberName;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "会员类型（-1：客户，0：免费会员，1：付费会员）")
    private Integer levelType;

    @Schema(description = "会员等级Id")
    private Long levelId;

    @Schema(description = "会员等级")
    private Integer level;

    @Schema(description = "成长值")
    private Integer growth;

    @Schema(description = "会员注册时间")
    private Date registTime;

    @Schema(description = "付费会员到期时间")
    private Date vipEndTime;

    @Schema(description = "消费次数")
    private Integer consTimes;

    @Schema(description = "退款次数")
    private Integer afterSaleTimes;

    public Long getShopCustomerId() {
        return shopCustomerId;
    }

    public void setShopCustomerId(Long shopCustomerId) {
        this.shopCustomerId = shopCustomerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getConsTimes() {
        return consTimes;
    }

    public void setConsTimes(Integer consTimes) {
        this.consTimes = consTimes;
    }

    public Integer getAfterSaleTimes() {
        return afterSaleTimes;
    }

    public void setAfterSaleTimes(Integer afterSaleTimes) {
        this.afterSaleTimes = afterSaleTimes;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getLevelType() {
        return levelType;
    }

    public void setLevelType(Integer levelType) {
        this.levelType = levelType;
    }

    public Long getLevelId() {
        return levelId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public Date getRegistTime() {
        return registTime;
    }

    public void setRegistTime(Date registTime) {
        this.registTime = registTime;
    }

    public Date getVipEndTime() {
        return vipEndTime;
    }

    public void setVipEndTime(Date vipEndTime) {
        this.vipEndTime = vipEndTime;
    }

    @Override
    public String toString() {
        return "ShopCustomerVO{" +
                "shopCustomerId=" + shopCustomerId +
                ", userId=" + userId +
                ", memberName='" + memberName + '\'' +
                ", shopId=" + shopId +
                ", levelType=" + levelType +
                ", levelId=" + levelId +
                ", level=" + level +
                ", growth=" + growth +
                ", registTime=" + registTime +
                ", vipEndTime=" + vipEndTime +
                ", consTimes=" + consTimes +
                ", afterSaleTimes=" + afterSaleTimes +
                '}';
    }
}
